package com.persagy.dmp.file.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.dmp.file.model.FileInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 文件Dao
 * @author Charlie Yu
 * @date 2021-05-15
 */
@Mapper
public interface FileMapper extends BaseMapper<FileInfo> {
    /***
     * Description: 根据文件id查询文件信息
     * @param fileId : 文件id
     * @return : com.persagy.dmp.file.model.FileInfo
     * @author : lijie
     * @date :2021/10/23 13:20
     * Update By lijie 2021/10/23 13:20
     */
    FileInfo getFileInfoById(@Param("fileId") String fileId);
}
